Name:	sysdig
Version: 0.1.92
# mod %post with above
Release:	7.art
Summary: sysdig

Group:	Applications/System	
License: GPLv2	
URL:	www.sysdig.org
Source0: https://github.com/draios/sysdig/archive/%{version}.tar.gz	

BuildRequires: cmake >= 2.8
Requires: dkms kernel-devel

%description
Sysdig instruments your physical and virtual machines at 
the OS level by installing into the Linux kernel and 
capturing system calls and other OS events. Then, using 
sysdig's command line interface, you can filter and 
decode these events in order to extract useful information.
Sysdig can be used to inspect systems live in real-time, or to 
generate trace files that can be analyzed at a later stage.



%prep
%setup -q -n %{name}-%{version}


%build
#configure
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DBUILD_DRIVER=OFF ..
%{__make} %{?_smp_mflags}


%install
cd build
%{__make} install DESTDIR=%{buildroot}

mv %{buildroot}/usr/src/sysdig* %{buildroot}/usr/src/sysdig-%{version}
mkdir -p %{buildroot}/etc/
mv %{buildroot}/usr/etc/bash_completion.d %{buildroot}/etc/
rm -rf %{buildroot}/usr/share/zsh/


%post
/usr/sbin/dkms add -m sysdig -v %{version} --rpm_safe_upgrade || :
if [ `uname -r | grep -c "BOOT"` -eq 0 ] && [ -e /lib/modules/`uname -r`/build/include ]; then
	/usr/sbin/dkms build -m sysdig -v %{version} || :
	/usr/sbin/dkms install -m sysdig -v %{version} || :
elif [ `uname -r | grep -c "BOOT"` -gt 0 ]; then
	echo -e ""
	echo -e "Module build for the currently running kernel was skipped since you"
	echo -e "are running a BOOT variant of the kernel."
else
	echo -e ""
	echo -e "Module build for the currently running kernel was skipped since the"
	echo -e "kernel source for this kernel does not seem to be installed."
fi

%preun
/usr/sbin/dkms remove -m sysdig -v %{version} --all --rpm_safe_upgrade || :


%files
%{_bindir}/sysdig
%{_datadir}/%{name}/
%{_mandir}/man8/sysdig*gz
/usr/src/sysdig-%{version}
/etc/bash_completion.d/sysdig




%changelog
* Mon Nov 17 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.92-7
-  Update to 0.1.92

* Mon Sep 29 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.89-6
-  Update to 0.1.89

* Sat Aug 30 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.88-5
- Update to 0.1.88

* Fri Aug 8 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.87-4
- Update to 0.1.87

* Mon Jul 28 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.86-3
- Update to 0.1.86

* Mon Jul 21 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.85-2
- Bugfix for %post dkms installs

* Fri Jul 11 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.85
- Update to 0.1.85

* Fri Jun 27 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.84
- Update to 0.1.84

* Sat May 31 2014 Scott R. Shinn <scott@atomicorp.com> - 0.1.83
- Update to 0.1.83
